[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TScrollingWinControl.Resizing

Performs actions needed when the control processes the WMSize message.

## Declaration

Source position: forms.pp line 194

`protected procedure TScrollingWinControl.Resizing(`
`State: TWindowState`
`); virtual;`

## Arguments

`State` |  | Window state for the windowed control.

## Description

Resizing is an empty implementation in TScrollingWinControl. It must be implemented in a descendent class.

## See also

TCustomForm.WindowState |  | Indicates whether the form is displayed in a minimized, maximized, full-screen or normal state.
TCustomForm.Resizing |  | Performs actions needed when the form processes the WMSize message.
TWindowState |  | Represents the actual State of the window on the screen.